Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create agent type

POST/workspaces/{organizationId}/agent-types
Path parameters
organizationIdstringrequired
Request body
application/json
slugstringrequired
min length 1
namestringrequired
min length 1
providerAgentIdstringrequired
min length 1
jobSpecstring | null
toolScopestring | null
permissionsTierstring | null
enabledboolean
Responses
200

Agent type upserted (keyed on slug)

idstringrequired
organizationIdstringrequired
slugstringrequired
namestringrequired
providerAgentIdstringrequired
jobSpecstring | nullrequired
toolScopestring | nullrequired
permissionsTierstring | nullrequired
enablednumberrequired
createdBystring | nullrequired
createdAtstringrequired
updatedAtstringrequired
Try it
Server
Parameters
Bodyapplication/json
Request
curl -X POST '/workspaces/string/agent-types' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "slug": "string",
  "name": "string",
  "providerAgentId": "string",
  "jobSpec": "string",
  "toolScope": "string",
  "permissionsTier": "string",
  "enabled": true
}'
Response
{
  "id": "string",
  "organizationId": "string",
  "slug": "string",
  "name": "string",
  "providerAgentId": "string",
  "jobSpec": "string",
  "toolScope": "string",
  "permissionsTier": "string",
  "enabled": 0,
  "createdBy": "string",
  "createdAt": "string",
  "updatedAt": "string"
}

Was this page helpful?